Single Order History
Request to be POSTed to uri : /NorenWClientAPI/SingleOrdHist
Request Details :
| Json Fields | Possible value | Description |
|---|---|---|
| jData* | Should send json object with fields in below list |
| Json Fields | Possible value | Description |
|---|---|---|
| uid* | Logged in User Id | |
| norenordno* | Noren Order Number |
Example:
curl --location 'https://api.kambala.co.in/NorenWClientAPI/SingleOrdHist' \
--header 'Content-Type: text/plain' \
--header 'Authorization: Bearer 437e92cc2b54c69185a5dc84c535642cea60dcdd65b7ff82845c82d109583695' \
--data 'jData={"uid":"DEMO", "norenordno":"20121300065716"}'
Response Details :
Response data will be in json Array of objects with below fields in case of success.
| Json Fields | Possible value | Description |
|---|---|---|
| stat | Ok or Not_Ok | Order book success or failure indication. |
| norenordno | Noren Order Number | |
| kidid | Kid Id | |
| uid | Logged in User Id | |
| src_uid | Source user Id | |
| actid | Login users account ID | |
| exch | Exchange Segment | |
| tsym | Trading symbol / contract on which order is placed. | |
| qty | Order Quantity | |
| trantype | B / S | Transaction type of the order |
| prctyp | LMT | Price type |
| ret | DAY / IOC / EOS | Order validity |
| rejby | rejected by | |
| pan | PAN | |
| ordersource | Order Source | |
| token | Contract Token | |
| pp | Price precision | |
| ls | Lot size | |
| ti | Tick size | |
| prc | Order Price | |
| dscqty | Order disclosed quantity. | |
| s_prdt_ali | ||
| prd | Display product alias name, using prarr returned in user details. | |
| status | Order status | |
| st_intrn | ||
| rpt | Report Type (fill/complete etc) | |
| ordenttm | Order time stamp | |
| norentm | Noren time stamp | |
| exch_tm | Exchange time stamp | |
| remarks | Any message Entered during order entry. | |
| exchordid | Exchange Order Number | |
| rejreason | If order is rejected, reason in text form | |
| introp_exch | Interop exchange | |
| fillshares | Total Traded Quantity of this order | |
| avgprc | Average trade price of total traded quantity | |
| cancelqty | Canceled quantity for order which is in status cancelled. | |
| trgprc | Order trigger price | |
| bpprc | Book Profit Price applicable only if product is selected as B (Bracket order ) | |
| blprc | Book loss Price applicable only if product is selected as H and B (High Leverage and Bracket order ) | |
| trailprc | Trailing Price applicable only if product is selected as H and B (High Leverage and Bracket order ) | |
| amo | Yes / No | amo orders |
Response data will be in json format with below fields in case of failure:
| Json Fields | Possible value | Description |
|---|---|---|
| stat | Not_Ok | Order book failure indication. |
| request_time | Response received time. | |
| emsg | Error message |
Sample Success Response :
[
{
"stat": "Ok",
"norenordno": "20121300065716",
"uid": "DEMO",
"actid": "DEMO",
"exch": "NSE",
"tsym": "ACCELYA-EQ",
"qty": "180",
"trantype": "B",
"prctyp": "LMT",
"ret": "DAY",
"token": "7053",
"pp": "2",
"ls": "1",
"ti": "0.05",
"prc": "800.00",
"avgprc": "800.00",
"dscqty": "0",
"prd": "M",
"status": "COMPLETE",
"rpt": "Fill",
"fillshares": "180",
"norentm": "19:59:32 13-12-2020",
"exch_tm": "00:00:00 01-01-1980",
"remarks": "WC TEST Order",
"exchordid": "6858"
},
{
"stat": "Ok",
"norenordno": "20121300065716",
"uid": "DEMO",
"actid": "DEMO",
"exch": "NSE",
"tsym": "ACCELYA-EQ",
"qty": "180",
"trantype": "B",
"prctyp": "LMT",
"ret": "DAY",
"token": "7053",
"pp": "2",
"ls": "1",
"ti": "0.05",
"prc": "800.00",
"dscqty": "0",
"prd": "M",
"status": "OPEN",
"rpt": "New",
"norentm": "19:59:32 13-12-2020",
"exch_tm": "00:00:00 01-01-1980",
"remarks": "WC TEST Order",
"exchordid": "6858"
},
{
"stat": "Ok",
"norenordno": "20121300065716",
"uid": "DEMO",
"actid": "DEMO",
"exch": "NSE",
"tsym": "ACCELYA-EQ",
"qty": "180",
"trantype": "B",
"prctyp": "LMT",
"ret": "DAY",
"token": "7053",
"pp": "2",
"ls": "1",
"ti": "0.05",
"prc": "800.00",
"dscqty": "0",
"prd": "M",
"status": "PENDING",
"rpt": "PendingNew",
"norentm": "19:59:32 13-12-2020",
"remarks": "WC TEST Order"
},
{
"stat": "Ok",
"norenordno": "20121300065716",
"uid": "DEMO",
"actid": "DEMO",
"exch": "NSE",
"tsym": "ACCELYA-EQ",
"qty": "180",
"trantype": "B",
"prctyp": "LMT",
"ret": "DAY",
"token": "7053",
"pp": "2",
"ls": "1",
"ti": "0.05",
"prc": "800.00",
"prd": "M",
"status": "PENDING",
"rpt": "NewAck",
"norentm": "19:59:32 13-12-2020",
"remarks": "WC TEST Order"
}
]
Sample Error Response :
{
"stat": "Not_Ok",
"emsg": "Session Expired : Invalid User Id"
}